<%@ Page Language="vb" %>

<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="TourEx.BLL" %>
<script runat="server">
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs)
        If Member.CheckLogin = 0 Then
            Response.Write("请先登陆!")
            Exit Sub
        End If
        Dim UserMobile As String = GetCookies("UserMobile")
        If UserMobile.Length = 0 Then
            Response.Write("手机号码错误!")
            Exit Sub
        End If
        Dim SceneryID As Integer = Val(Request.QueryString("ID"))
        Dim Dt As DataTable = SceneryData.GetData(SceneryID)
        If Dt.Rows.Count = 0 Then
            Response.Write("景区编号错误!")
            Exit Sub
        End If
        Dim Str As New StringBuilder()
        Str.Append(Dt.Rows(0)("S_Name")).Append("，")
        Str.Append("地址：").Append(Dt.Rows(0)("S_Add")).Append("。")
        Str.Append(WebSet.Name)
        Dt.Clear()
        Response.Write(Sms.Send(UserMobile, Str.ToString()))
    End Sub
</script>